## tracy 0.11.0%2Bds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Run version helper script
include(cmake/version.cmake)

project(Tracy LANGUAGES CXX VERSION ${TRACY_VERSION_STRING})

file(GENERATE OUTPUT .gitignore CONTENT "*")

if(${BUILD_SHARED_LIBS})
	set(DEFAULT_STATIC OFF)
else()
	set(DEFAULT_STATIC ON)
endif()

option(TRACY_STATIC "Whether to build Tracy as a static library" ${DEFAULT_STATIC})

find_package(Threads REQUIRED)

set(TRACY_PUBLIC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/public)

if(TRACY_STATIC)
	set(TRACY_VISIBILITY "STATIC")
else()
	set(TRACY_VISIBILITY "SHARED")
endif()

add_library(TracyClient ${TRACY_VISIBILITY} "${TRACY_PUBLIC_DIR}/TracyClient.cpp")
target_compile_features(TracyClient PUBLIC cxx_std_11)
target_include_directories(TracyClient SYSTEM PUBLIC
    $<BUILD_INTERFACE:${TRACY_PUBLIC_DIR}>
    $<INSTALL_INTERFACE:include>)
target_link_libraries(
    TracyClient
    PUBLIC
        Threads::Threads
        ${CMAKE_DL_LIBS}
)

# Public dependency on some libraries required when using Mingw
if(WIN32 AND ${CMAKE_CXX_COMPILER_ID} MATCHES "GNU")
    target_link_libraries(TracyClient PUBLIC ws2_32 dbghelp)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    find_library(EXECINFO_LIBRARY NAMES execinfo REQUIRED)
    target_link_libraries(TracyClient PUBLIC ${EXECINFO_LIBRARY})
endif()

add_library(Tracy::TracyClient ALIAS TracyClient)

macro(set_option option help value)
    option(${option} ${help} ${value})
    if(${option})
        message(STATUS "${option}: ON")
        target_compile_definitions(TracyClient PUBLIC ${option})
    else()
        message(STATUS "${option}: OFF")
    endif()
endmacro()

set_option(TRACY_ENABLE "Enable profiling" ON)
set_option(TRACY_ON_DEMAND "On-demand profiling" OFF)
set_option(TRACY_CALLSTACK "Enforce callstack collection for tracy regions" OFF)
set_option(TRACY_NO_CALLSTACK "Disable all callstack related functionality" OFF)
set_option(TRACY_NO_CALLSTACK_INLINES "Disables the inline functions in callstacks" OFF)
set_option(TRACY_ONLY_LOCALHOST "Only listen on the localhost interface" OFF)
set_option(TRACY_NO_BROADCAST "Disable client discovery by broadcast to local network" OFF)
set_option(TRACY_ONLY_IPV4 "Tracy will only accept connections on IPv4 addresses (disable IPv6)" OFF)
set_option(TRACY_NO_CODE_TRANSFER "Disable collection of source code" OFF)
set_option(TRACY_NO_CONTEXT_SWITCH "Disable capture of context switches" OFF)
set_option(TRACY_NO_EXIT "Client executable does not exit until all profile data is sent to server" OFF)
set_option(TRACY_NO_SAMPLING "Disable call stack sampling" OFF)
set_option(TRACY_NO_VERIFY "Disable zone validation for C API" OFF)
set_option(TRACY_NO_VSYNC_CAPTURE "Disable capture of hardware Vsync events" OFF)
set_option(TRACY_NO_FRAME_IMAGE  "Disable the frame image support and its thread" OFF)
set_option(TRACY_NO_SYSTEM_TRACING  "Disable systrace sampling" OFF)
set_option(TRACY_PATCHABLE_NOPSLEDS  "Enable nopsleds for efficient patching by system-level tools (e.g. rr)" OFF)
set_option(TRACY_DELAYED_INIT "Enable delayed initialization of the library (init on first call)" OFF)
set_option(TRACY_MANUAL_LIFETIME "Enable the manual lifetime management of the profile" OFF)
set_option(TRACY_FIBERS "Enable fibers support" OFF)
set_option(TRACY_NO_CRASH_HANDLER "Disable crash handling" OFF)
set_option(TRACY_TIMER_FALLBACK "Use lower resolution timers" OFF)
set_option(TRACY_LIBUNWIND_BACKTRACE "Use libunwind backtracing where supported" OFF)
set_option(TRACY_SYMBOL_OFFLINE_RESOLVE "Instead of full runtime symbol resolution, only resolve the image path and offset to enable offline symbol resolution" OFF)
set_option(TRACY_LIBBACKTRACE_ELF_DYNLOAD_SUPPORT "Enable libbacktrace to support dynamically loaded elfs in symbol resolution resolution after the first symbol resolve operation" OFF)

# advanced
set_option(TRACY_DEMANGLE "[advanced] Don't use default demangling function - You'll need to provide your own" OFF)
mark_as_advanced(TRACY_DEMANGLE)

if(NOT TRACY_STATIC)
    target_compile_definitions(TracyClient PRIVATE TRACY_EXPORTS)
    target_compile_definitions(TracyClient PUBLIC TRACY_IMPORTS)
endif()

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

set_target_properties(TracyClient PROPERTIES VERSION ${PROJECT_VERSION})

set(tracy_includes
    ${TRACY_PUBLIC_DIR}/tracy/TracyC.h
    ${TRACY_PUBLIC_DIR}/tracy/Tracy.hpp
    ${TRACY_PUBLIC_DIR}/tracy/TracyD3D11.hpp
    ${TRACY_PUBLIC_DIR}/tracy/TracyD3D12.hpp
    ${TRACY_PUBLIC_DIR}/tracy/TracyLua.hpp
    ${TRACY_PUBLIC_DIR}/tracy/TracyOpenCL.hpp
    ${TRACY_PUBLIC_DIR}/tracy/TracyOpenGL.hpp
    ${TRACY_PUBLIC_DIR}/tracy/TracyVulkan.hpp)

set(client_includes
    ${TRACY_PUBLIC_DIR}/client/tracy_concurrentqueue.h
    ${TRACY_PUBLIC_DIR}/client/tracy_rpmalloc.hpp
    ${TRACY_PUBLIC_DIR}/client/tracy_SPSCQueue.h
    ${TRACY_PUBLIC_DIR}/client/TracyKCore.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyArmCpuTable.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyCallstack.h
    ${TRACY_PUBLIC_DIR}/client/TracyCallstack.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyCpuid.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyDebug.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyDxt1.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyFastVector.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyLock.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyProfiler.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyRingBuffer.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyScoped.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyStringHelpers.hpp
    ${TRACY_PUBLIC_DIR}/client/TracySysPower.hpp
    ${TRACY_PUBLIC_DIR}/client/TracySysTime.hpp
    ${TRACY_PUBLIC_DIR}/client/TracySysTrace.hpp
    ${TRACY_PUBLIC_DIR}/client/TracyThread.hpp)

set(common_includes
    ${TRACY_PUBLIC_DIR}/common/tracy_lz4.hpp
    ${TRACY_PUBLIC_DIR}/common/tracy_lz4hc.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyAlign.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyAlloc.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyApi.h
    ${TRACY_PUBLIC_DIR}/common/TracyColor.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyForceInline.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyMutex.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyProtocol.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyQueue.hpp
    ${TRACY_PUBLIC_DIR}/common/TracySocket.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyStackFrames.hpp
    ${TRACY_PUBLIC_DIR}/common/TracySystem.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyUwp.hpp
    ${TRACY_PUBLIC_DIR}/common/TracyYield.hpp)

install(TARGETS TracyClient
        EXPORT TracyConfig
        RUNTIME  DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY  DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE  DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${tracy_includes}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/tracy)
install(FILES ${client_includes}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/client)
install(FILES ${common_includes}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/common)
install(EXPORT TracyConfig
        NAMESPACE Tracy::
        FILE TracyTargets.cmake
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/Tracy)
include(CMakePackageConfigHelpers)
configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/Config.cmake.in
        "${CMAKE_CURRENT_BINARY_DIR}/TracyConfig.cmake"
        INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/Tracy)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/TracyConfig.cmake
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/Tracy)

option(TRACY_CLIENT_PYTHON "Whether to build Tracy python client library" OFF)

if(TRACY_CLIENT_PYTHON)
    if(TRACY_STATIC)
        message(FATAL_ERROR "Python-bindings require a shared client library")
    endif()

    add_subdirectory(python)
endif()

=== import-chrome/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

option(NO_ISA_EXTENSIONS "Disable ISA extensions (don't pass -march=native or -mcpu=native to the compiler)" OFF)
option(NO_STATISTICS "Disable calculation of statistics" ON)
option(NO_PARALLEL_STL "Disable parallel STL" OFF)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/version.cmake)

set(CMAKE_CXX_STANDARD 20)

project(
    tracy-import-chrome
    LANGUAGES C CXX
    VERSION ${TRACY_VERSION_STRING}
)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/config.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/vendor.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/server.cmake)

set(PROGRAM_FILES
    src/import-chrome.cpp
)

add_executable(${PROJECT_NAME} ${PROGRAM_FILES} ${COMMON_FILES} ${SERVER_FILES})
target_link_libraries(${PROJECT_NAME} PRIVATE TracyServer)
set_property(DIRECTORY ${CMAKE_CURRENT_LIST_DIR} PROPERTY VS_STARTUP_PROJECT ${PROJECT_NAME})

## tracy 0.10+ds

=== debian/changelog ===
tracy (0.10+ds-1) unstable; urgency=low

  * Initial release. Closes: #1063442

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Tue, 06 Feb 2024 15:06:10 +0000

=== debian/control ===
Source: tracy
Section: devel
Priority: optional
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Build-Depends: cmake,
               pkgconf,
               debhelper-compat (= 13),
               libcapstone-dev,
               libdbus-1-dev,
               libfreetype-dev,
               libglvnd-dev,
               lmodern,
               libwayland-dev,
               libxkbcommon-dev,
               libzstd-dev (>= 1.5.5),
               pandoc,
               texlive-fonts-extra,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-pstricks,
               texlive-science
Standards-Version: 4.6.2
Homepage: https://github.com/wolfpld/tracy/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/NyxTrail/tracy.git
Vcs-Browser: https://salsa.debian.org/NyxTrail/tracy

Package: libtracyclient0.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Hybrid frame and sampling profiler (library)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the shared library.

Package: libtracy-dev
Section: libdevel
Architecture: any
Depends: libtracyclient0.10.0 (= ${binary:Version}),
         ${misc:Depends}
Description: Hybrid frame and sampling profiler (development files)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the development files.

Package: tracy-profiler
Architecture: any
Depends: libtracyclient0.10.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Hybrid frame and sampling profiler (profiler application)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the binary for the profiler application.

Package: tracy-capture
Architecture: any
Depends: libtracyclient0.10.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Hybrid frame and sampling profiler (capture application)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the binary for the capture application.

Package: tracy-csvexport
Architecture: any
Depends: libtracyclient0.10.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Hybrid frame and sampling profiler (csvexport application)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the binary for the csv export application.

Package: tracy-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
Description: Hybrid frame and sampling profiler (documentation)
 Tracy is a real time, nanosecond resolution, remote telemetry,
 hybrid frame and sampling profiler for games and other applications
 .
 This package contains the user manual.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=1 \
		-DTRACY_ON_DEMAND=1 \
		-DTRACY_TIMER_FALLBACK=1
#	      -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)"

tracy-client:
	dh_auto_build

tracy-capture:
	$(MAKE) -C ./capture/build/unix all

tracy-profiler:
	$(MAKE) -C ./profiler/build/unix all

tracy-csvexport:
	$(MAKE) -C ./csvexport/build/unix all

tracy-docs:
	cd manual && pdflatex tracy.tex \
	  && bibtex tracy \
	  && pdflatex tracy.tex \
	  && pdflatex tracy.tex \
	  && pdflatex techdoc.tex \
	  && pdflatex techdoc.tex

override_dh_auto_build: tracy-client tracy-capture tracy-csvexport tracy-profiler tracy-docs

override_dh_auto_clean:
	dh_auto_clean
	
	# Clean capture utility
	find . -type d -path './capture/build/unix' -exec make -C '{}' clean ';'
	
	# Clean profiler
	find . -type d -path './profiler/build/unix' -exec make -C '{}' clean ';'
	
	# Clean csvexport
	find . -type d -path './csvexport/build/unix' -exec make -C '{}' clean ';'
	
	# Clear files left over from building documentation
	cd manual && \
		rm -f tracy.out tracy.log tracy.blg tracy.aux tracy.bbl tracy.toc tracy.pdf && \
		rm -f techdoc.out techdoc.log techdoc.aux techdoc.toc techdoc.pdf

override_dh_auto_install:
	dh_auto_install
	
	sed -i -e 's/^#include "\.\.\/client/#include "\.\/client/g' debian/tmp/usr/include/tracy/*.h*
	sed -i -e 's/^#include "\.\.\/common/#include "\.\/common/g' debian/tmp/usr/include/tracy/*.h*
	
	mkdir ./debian/tmp/usr/bin
	find . -type d -path './capture/build/unix' -exec cp '{}/capture-release' ./debian/tmp/usr/bin/tracy-capture ';'
	find . -type d -path './profiler/build/unix' -exec cp '{}/Tracy-release' ./debian/tmp/usr/bin/tracy-profiler ';'
	find . -type d -path './csvexport/build/unix' -exec cp '{}/csvexport-release' ./debian/tmp/usr/bin/tracy-csvexport ';'
		
	mkdir debian/tmp/usr/share/doc/
	install -m 644 manual/tracy.pdf debian/tmp/usr/share/doc/
	install -m 644 manual/techdoc.pdf debian/tmp/usr/share/doc/
	
	mkdir debian/tmp/usr/share/doc/tracy-profiler
	pandoc debian/tracy-profiler.1.rst --standalone \
		--variable=header:"tracy-profiler User Manual" \
		--variable=section:1 \
		--from rst \
		--to man > debian/tmp/usr/share/doc/tracy-profiler/tracy-profiler.1
	
	mkdir debian/tmp/usr/share/doc/tracy-capture
	pandoc debian/tracy-capture.1.rst --standalone \
		--variable=header:"tracy-capture User Manual" \
		--variable=section:1 \
		--from rst \
		--to man > debian/tmp/usr/share/doc/tracy-capture/tracy-capture.1
	
	mkdir debian/tmp/usr/share/doc/tracy-csvexport
	pandoc debian/tracy-csvexport.1.rst --standalone \
		--variable=header:"tracy-csvexport User Manual" \
		--variable=section:1 \
		--from rst \
		--to man > debian/tmp/usr/share/doc/tracy-csvexport/tracy-csvexport.1

=== debian/watch ===
version=4
opts="searchmode=plain, \
      dversionmangle=s/\+ds//, \
      oversionmangle=s/$/+ds/, \
      uversionmangle=s/\.$//, \
      filenamemangle=s/v(\d+\.\d+(\.\d+)?)/tracy-$1.tar.gz/" \
  https://api.github.com/repos/wolfpld/tracy/releases \
  https://api.github.com/repos/wolfpld/tracy/tarball/v(\d+\.\d+(\.\d+)?)

## tracy 0.11.0+ds

=== capture/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

option(NO_ISA_EXTENSIONS "Disable ISA extensions (don't pass -march=native or -mcpu=native to the compiler)" OFF)
option(NO_STATISTICS "Disable calculation of statistics" ON)
option(NO_PARALLEL_STL "Disable parallel STL" OFF)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/version.cmake)

set(CMAKE_CXX_STANDARD 20)

project(
    tracy-capture
    LANGUAGES C CXX
    VERSION ${TRACY_VERSION_STRING}
)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/config.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/vendor.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/server.cmake)

set(PROGRAM_FILES
    src/capture.cpp
)

add_executable(${PROJECT_NAME} ${PROGRAM_FILES} ${COMMON_FILES} ${SERVER_FILES})
target_link_libraries(${PROJECT_NAME} PRIVATE TracyServer TracyGetOpt)
set_property(DIRECTORY ${CMAKE_CURRENT_LIST_DIR} PROPERTY VS_STARTUP_PROJECT ${PROJECT_NAME})

=== csvexport/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

option(NO_ISA_EXTENSIONS "Disable ISA extensions (don't pass -march=native or -mcpu=native to the compiler)" OFF)
option(NO_PARALLEL_STL "Disable parallel STL" OFF)

set(NO_STATISTICS OFF)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/version.cmake)

set(CMAKE_CXX_STANDARD 20)

project(
    tracy-csvexport
    LANGUAGES C CXX
    VERSION ${TRACY_VERSION_STRING}
)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/config.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/vendor.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/server.cmake)

set(PROGRAM_FILES
    src/csvexport.cpp
)

add_executable(${PROJECT_NAME} ${PROGRAM_FILES} ${COMMON_FILES} ${SERVER_FILES})
target_link_libraries(${PROJECT_NAME} PRIVATE TracyServer TracyGetOpt)
set_property(DIRECTORY ${CMAKE_CURRENT_LIST_DIR} PROPERTY VS_STARTUP_PROJECT ${PROJECT_NAME})

=== import-fuchsia/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

option(NO_ISA_EXTENSIONS "Disable ISA extensions (don't pass -march=native or -mcpu=native to the compiler)" OFF)
option(NO_STATISTICS "Disable calculation of statistics" ON)
option(NO_PARALLEL_STL "Disable parallel STL" OFF)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/version.cmake)

set(CMAKE_CXX_STANDARD 20)

project(
    tracy-import-fuchsia
    LANGUAGES C CXX
    VERSION ${TRACY_VERSION_STRING}
)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/config.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/vendor.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/server.cmake)

set(PROGRAM_FILES
    src/import-fuchsia.cpp
)

add_executable(${PROJECT_NAME} ${PROGRAM_FILES} ${COMMON_FILES} ${SERVER_FILES})
target_link_libraries(${PROJECT_NAME} PRIVATE TracyServer)
set_property(DIRECTORY ${CMAKE_CURRENT_LIST_DIR} PROPERTY VS_STARTUP_PROJECT ${PROJECT_NAME})

=== profiler/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

option(NO_FILESELECTOR "Disable the file selector" OFF)
option(GTK_FILESELECTOR "Use the GTK file selector on Linux instead of the xdg-portal one" OFF)
option(LEGACY "Instead of Wayland, use the legacy X11 backend on Linux" OFF)
option(NO_ISA_EXTENSIONS "Disable ISA extensions (don't pass -march=native or -mcpu=native to the compiler)" OFF)
option(NO_STATISTICS "Disable calculation of statistics" OFF)
option(SELF_PROFILE "Enable self-profiling" OFF)
option(NO_PARALLEL_STL "Disable parallel STL" OFF)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/version.cmake)

set(CMAKE_CXX_STANDARD 20)

project(
    tracy-profiler
    LANGUAGES C CXX
    VERSION ${TRACY_VERSION_STRING}
)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/config.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/vendor.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/server.cmake)

set(SERVER_FILES
    TracyAchievementData.cpp
    TracyAchievements.cpp
    TracyBadVersion.cpp
    TracyColor.cpp
    TracyEventDebug.cpp
    TracyFileselector.cpp
    TracyFilesystem.cpp
    TracyImGui.cpp
    TracyMicroArchitecture.cpp
    TracyMouse.cpp
    TracyProtoHistory.cpp
    TracySourceContents.cpp
    TracySourceTokenizer.cpp
    TracySourceView.cpp
    TracyStorage.cpp
    TracyTexture.cpp
    TracyTimelineController.cpp
    TracyTimelineItem.cpp
    TracyTimelineItemCpuData.cpp
    TracyTimelineItemGpu.cpp
    TracyTimelineItemPlot.cpp
    TracyTimelineItemThread.cpp
    TracyUserData.cpp
    TracyUtility.cpp
    TracyView.cpp
    TracyView_Annotations.cpp
    TracyView_Callstack.cpp
    TracyView_Compare.cpp
    TracyView_ConnectionState.cpp
    TracyView_ContextSwitch.cpp
    TracyView_CpuData.cpp
    TracyView_FindZone.cpp
    TracyView_FrameOverview.cpp
    TracyView_FrameTimeline.cpp
    TracyView_FrameTree.cpp
    TracyView_GpuTimeline.cpp
    TracyView_Locks.cpp
    TracyView_Memory.cpp
    TracyView_Messages.cpp
    TracyView_Navigation.cpp
    TracyView_NotificationArea.cpp
    TracyView_Options.cpp
    TracyView_Playback.cpp
    TracyView_Plots.cpp
    TracyView_Ranges.cpp
    TracyView_Samples.cpp
    TracyView_Statistics.cpp
    TracyView_Timeline.cpp
    TracyView_TraceInfo.cpp
    TracyView_Utility.cpp
    TracyView_ZoneInfo.cpp
    TracyView_ZoneTimeline.cpp
    TracyWeb.cpp
)

list(TRANSFORM SERVER_FILES PREPEND "src/profiler/")

set(PROFILER_FILES
    src/imgui/imgui_impl_opengl3.cpp
    src/ConnectionHistory.cpp
    src/Filters.cpp
    src/Fonts.cpp
    src/HttpRequest.cpp
    src/ImGuiContext.cpp
    src/ini.c
    src/IsElevated.cpp
    src/main.cpp
    src/ResolvService.cpp
    src/RunQueue.cpp
    src/WindowPosition.cpp
    src/winmain.cpp
    src/winmainArchDiscovery.cpp
)

set(INCLUDES "")
set(LIBS "")

if(USE_WAYLAND)
    pkg_check_modules(WAYLAND REQUIRED egl wayland-egl wayland-cursor xkbcommon)
    set(INCLUDES "${INCLUDES};${CMAKE_CURRENT_BINARY_DIR}")
    set(LIBS "${LIBS};${WAYLAND_LIBRARIES}")
    set(PROFILER_FILES ${PROFILER_FILES}
        src/BackendWayland.cpp
    )

    include(${CMAKE_CURRENT_LIST_DIR}/../cmake/FindWaylandScanner.cmake)

    pkg_check_modules(WAYLAND_PROTOCOLS REQUIRED wayland-protocols)
    pkg_get_variable(WAYLAND_PROTOCOLS_PKGDATADIR wayland-protocols pkgdatadir)

    ecm_add_wayland_client_protocol(PROFILER_FILES
        PROTOCOL ${WAYLAND_PROTOCOLS_PKGDATADIR}/stable/xdg-shell/xdg-shell.xml
        BASENAME xdg-shell
    )
    ecm_add_wayland_client_protocol(PROFILER_FILES
        PROTOCOL ${WAYLAND_PROTOCOLS_PKGDATADIR}/staging/xdg-activation/xdg-activation-v1.xml
        BASENAME xdg-activation
    )
    ecm_add_wayland_client_protocol(PROFILER_FILES
        PROTOCOL ${WAYLAND_PROTOCOLS_PKGDATADIR}/unstable/xdg-decoration/xdg-decoration-unstable-v1.xml
        BASENAME xdg-decoration
    )
    ecm_add_wayland_client_protocol(PROFILER_FILES
        PROTOCOL ${WAYLAND_PROTOCOLS_PKGDATADIR}/staging/fractional-scale/fractional-scale-v1.xml
        BASENAME fractional-scale
    )
    ecm_add_wayland_client_protocol(PROFILER_FILES
        PROTOCOL ${WAYLAND_PROTOCOLS_PKGDATADIR}/stable/viewporter/viewporter.xml
        BASENAME viewporter
    )
    ecm_add_wayland_client_protocol(PROFILER_FILES
        PROTOCOL ${WAYLAND_PROTOCOLS_PKGDATADIR}/staging/cursor-shape/cursor-shape-v1.xml
        BASENAME cursor-shape
    )
    ecm_add_wayland_client_protocol(PROFILER_FILES
        PROTOCOL ${WAYLAND_PROTOCOLS_PKGDATADIR}/unstable/tablet/tablet-unstable-v2.xml
        BASENAME tablet
    )
else()
    set(PROFILER_FILES ${PROFILER_FILES}
        src/BackendGlfw.cpp
        src/imgui/imgui_impl_glfw.cpp
    )
endif()

include_directories(${INCLUDES})
link_libraries(${LIBS})

if(SELF_PROFILE)
    add_definitions(-DTRACY_ENABLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O3 -fno-omit-frame-pointer")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -O3 -fno-omit-frame-pointer")
    set(PROFILER_FILES ${PROFILER_FILES}
        ../public/TracyClient.cpp
    )
endif()

if(WIN32)
    set(PROFILER_FILES ${PROFILER_FILES}
        win32/Tracy.manifest
        win32/Tracy.rc
    )
    add_executable(${PROJECT_NAME} WIN32 ${PROFILER_FILES} ${COMMON_FILES} ${SERVER_FILES})
    set_property(DIRECTORY ${CMAKE_CURRENT_LIST_DIR} PROPERTY VS_STARTUP_PROJECT ${PROJECT_NAME})
else()
    add_executable(${PROJECT_NAME} ${PROFILER_FILES} ${COMMON_FILES} ${SERVER_FILES})
endif()

target_link_libraries(${PROJECT_NAME} PRIVATE TracyServer TracyImGui)

if(NOT EMSCRIPTEN)
    target_link_libraries(${PROJECT_NAME} PRIVATE TracyNfd)
    if (NOT USE_WAYLAND)
        target_link_libraries(${PROJECT_NAME} PRIVATE TracyGlfw3)
    endif()
endif()

if(EMSCRIPTEN)
    set_property(TARGET ${PROJECT_NAME} PROPERTY COMPILE_FLAGS "-sUSE_FREETYPE=1 -pthread -DIMGUI_IMPL_OPENGL_ES2")
    set_property(TARGET ${PROJECT_NAME} PROPERTY LINK_FLAGS "-sASSERTIONS=0 -sUSE_GLFW=3 -sINITIAL_MEMORY=384mb -sALLOW_MEMORY_GROWTH=1 -sMAXIMUM_MEMORY=4gb -sWASM_BIGINT=1 -sPTHREAD_POOL_SIZE=4 -sEXPORTED_FUNCTIONS=_main,_nativeResize,_nativeOpenFile -sEXPORTED_RUNTIME_METHODS=ccall -sENVIRONMENT=web,worker --preload-file embed.tracy")

    file(DOWNLOAD https://share.nereid.pl/i/embed.tracy ${CMAKE_CURRENT_BINARY_DIR}/embed.tracy EXPECTED_MD5 ca0fa4f01e7b8ca5581daa16b16c768d)
    file(COPY ${CMAKE_CURRENT_LIST_DIR}/wasm/index.html DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
    file(COPY ${CMAKE_CURRENT_LIST_DIR}/wasm/httpd.py DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
endif()

=== python/CMakeLists.txt ===
option(EXTERNAL_PYBIND11 "Whether to download pybind11" ON)

if(EXTERNAL_PYBIND11)
    find_package(Python 3.6 COMPONENTS Interpreter Development REQUIRED)

    include(FetchContent)

    FetchContent_Declare(pybind11 GIT_REPOSITORY "https://github.com/pybind/pybind11.git" GIT_TAG "v2.11.1" GIT_SHALLOW ON TEST_BEFORE_INSTALL ON)
    FetchContent_MakeAvailable(pybind11)
endif()

set(BUFFER_SIZE 128 CACHE STRING "The size of the pointer buffer")
set(NAME_LENGTH 128 CACHE STRING "The length of a name in the buffer")

pybind11_add_module(TracyClientBindings SHARED bindings/Module.cpp)
target_link_libraries(TracyClientBindings PUBLIC TracyClient)
target_compile_definitions(TracyClientBindings PUBLIC BUFFER_SIZE=${BUFFER_SIZE})
target_compile_definitions(TracyClientBindings PUBLIC NAME_LENGTH=${NAME_LENGTH})

set(TRACY_PYTHON_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tracy_client)
set(TRACY_LIB_SYMLINK $<TARGET_FILE_PREFIX:TracyClient>$<TARGET_FILE_BASE_NAME:TracyClient>$<TARGET_FILE_SUFFIX:TracyClient>)

list(TRANSFORM client_includes REPLACE "^${TRACY_PUBLIC_DIR}" "${TRACY_PYTHON_DIR}" OUTPUT_VARIABLE python_client_includes)
list(TRANSFORM common_includes REPLACE "^${TRACY_PUBLIC_DIR}" "${TRACY_PYTHON_DIR}" OUTPUT_VARIABLE python_common_includes)
list(TRANSFORM tracy_includes REPLACE "^${TRACY_PUBLIC_DIR}" "${TRACY_PYTHON_DIR}" OUTPUT_VARIABLE python_tracy_includes)

add_custom_command(TARGET TracyClient TracyClientBindings POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E make_directory ${TRACY_PYTHON_DIR}/client
    COMMAND ${CMAKE_COMMAND} -E copy ${client_includes} ${TRACY_PYTHON_DIR}/client
    COMMAND ${CMAKE_COMMAND} -DFOLDER=${TRACY_PYTHON_DIR}/client -P ${CMAKE_CURRENT_SOURCE_DIR}/HeaderFixer.txt

    COMMAND ${CMAKE_COMMAND} -E make_directory ${TRACY_PYTHON_DIR}/common
    COMMAND ${CMAKE_COMMAND} -E copy ${common_includes} ${TRACY_PYTHON_DIR}/common
    COMMAND ${CMAKE_COMMAND} -DFOLDER=${TRACY_PYTHON_DIR}/common -P ${CMAKE_CURRENT_SOURCE_DIR}/HeaderFixer.txt

    COMMAND ${CMAKE_COMMAND} -E make_directory ${TRACY_PYTHON_DIR}/tracy
    COMMAND ${CMAKE_COMMAND} -E copy ${tracy_includes} ${TRACY_PYTHON_DIR}/tracy
    COMMAND ${CMAKE_COMMAND} -DFOLDER=${TRACY_PYTHON_DIR}/tracy -P ${CMAKE_CURRENT_SOURCE_DIR}/HeaderFixer.txt

    COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:TracyClientBindings> ${TRACY_PYTHON_DIR}/

    COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:TracyClient> ${TRACY_PYTHON_DIR}/
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/../${TRACY_LIB_SYMLINK} ${TRACY_PYTHON_DIR}/

    BYPRODUCTS ${python_client_includes} ${python_common_includes} ${python_tracy_includes} ${TRACY_PYTHON_DIR}/client ${TRACY_PYTHON_DIR}/common ${TRACY_PYTHON_DIR}/tracy
)

set(TRACY_CLIENT_PYTHON_TARGET "" CACHE STRING "Optional directory to copy python files to")

if(NOT TRACY_CLIENT_PYTHON_TARGET STREQUAL "")
    file(GLOB_RECURSE TRACY_CLIENT_PYTHON_FILES ${TRACY_PYTHON_DIR}/*.py*)
    list(TRANSFORM TRACY_CLIENT_PYTHON_FILES REPLACE "^${TRACY_PYTHON_DIR}" "${TRACY_CLIENT_PYTHON_TARGET}" OUTPUT_VARIABLE TRACY_CLIENT_TARGET_PYTHON_FILES)

    add_custom_command(TARGET TracyClientBindings POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E make_directory ${TRACY_CLIENT_PYTHON_TARGET}
        COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:TracyClientBindings> ${TRACY_CLIENT_PYTHON_TARGET}/
        COMMAND ${CMAKE_COMMAND} -E copy ${TRACY_CLIENT_PYTHON_FILES} ${TRACY_CLIENT_PYTHON_TARGET}/
        BYPRODUCTS ${TRACY_CLIENT_TARGET_PYTHON_FILES}
    )
endif()

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

option(USE_DEBUGINFOD "Compile with debuginfod integration" ON)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/version.cmake)

# we target C++11 for the client part
set(CMAKE_CXX_STANDARD 11)

project(
  tracy-test
  LANGUAGES C CXX
  VERSION ${TRACY_VERSION_STRING})

file(GENERATE OUTPUT .gitignore CONTENT "*")

# a bit weird but works: include the client cmake config coming from top-level
# cmake needs us to specify the build subfolder -> client/ this way we can
# simply link the test executable against TracyClient
add_subdirectory(${CMAKE_CURRENT_LIST_DIR}/.. client/)

add_executable(tracy-test test.cpp)
target_link_options(tracy-test PRIVATE -rdynamic)
target_link_libraries(tracy-test TracyClient)

# OS-specific options

if(CMAKE_SYSTEM_NAME STREQUAL "Linux" AND USE_DEBUGINFOD)
  target_compile_definitions(tracy-test PRIVATE TRACY_DEBUGINFOD)
  target_link_libraries(tracy-test "debuginfod")
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
  target_link_libraries(tracy-test "execinfo")
endif()


# copy image file in build folder
configure_file(${CMAKE_CURRENT_LIST_DIR}/image.jpg image.jpg COPYONLY)

=== update/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

option(NO_ISA_EXTENSIONS "Disable ISA extensions (don't pass -march=native or -mcpu=native to the compiler)" OFF)
option(NO_STATISTICS "Disable calculation of statistics" ON)
option(NO_PARALLEL_STL "Disable parallel STL" OFF)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/version.cmake)

set(CMAKE_CXX_STANDARD 20)

project(
    tracy-update
    LANGUAGES C CXX
    VERSION ${TRACY_VERSION_STRING}
)

include(${CMAKE_CURRENT_LIST_DIR}/../cmake/config.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/vendor.cmake)
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/server.cmake)

set(PROGRAM_FILES
    src/OfflineSymbolResolver.cpp
    src/OfflineSymbolResolverAddr2Line.cpp
    src/OfflineSymbolResolverDbgHelper.cpp
    src/update.cpp
)

add_executable(${PROJECT_NAME} ${PROGRAM_FILES} ${COMMON_FILES} ${SERVER_FILES})
target_link_libraries(${PROJECT_NAME} PRIVATE TracyServer TracyGetOpt)
set_property(DIRECTORY ${CMAKE_CURRENT_LIST_DIR} PROPERTY VS_STARTUP_PROJECT ${PROJECT_NAME})

=== debian/changelog ===
tracy (0.11.0+ds-1build1) plucky; urgency=medium

  * No-change rebuild for capstone.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 31 Dec 2024 14:14:47 +0000

tracy (0.11.0+ds-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * The debian build now includes import-chrome and import-fuchsia tools

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Thu, 01 Aug 2024 18:30:11 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                libfreetype-dev,
                libglvnd-dev,
                lmodern,
+               libtbb-dev,
                libwayland-dev,
                libxkbcommon-dev,
                libzstd-dev (>= 1.5.5),
@@ -18,14 +19,15 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-pstricks,
-               texlive-science
-Standards-Version: 4.6.2
+               texlive-science,
+               wayland-protocols
+Standards-Version: 4.7.0
 Homepage: https://github.com/wolfpld/tracy/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/NyxTrail/tracy.git
 Vcs-Browser: https://salsa.debian.org/NyxTrail/tracy
 
-Package: libtracyclient0.10.0
+Package: libtracyclient0.11.0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -40,7 +42,7 @@
 Package: libtracy-dev
 Section: libdevel
 Architecture: any
-Depends: libtracyclient0.10.0 (= ${binary:Version}),
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: Hybrid frame and sampling profiler (development files)
  Tracy is a real time, nanosecond resolution, remote telemetry,
@@ -50,7 +52,7 @@
 
 Package: tracy-profiler
 Architecture: any
-Depends: libtracyclient0.10.0 (= ${binary:Version}),
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Hybrid frame and sampling profiler (profiler application)
@@ -61,7 +63,7 @@
 
 Package: tracy-capture
 Architecture: any
-Depends: libtracyclient0.10.0 (= ${binary:Version}),
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Hybrid frame and sampling profiler (capture application)
@@ -72,7 +74,7 @@
 
 Package: tracy-csvexport
 Architecture: any
-Depends: libtracyclient0.10.0 (= ${binary:Version}),
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Hybrid frame and sampling profiler (csvexport application)
@@ -80,6 +82,30 @@
  hybrid frame and sampling profiler for games and other applications
  .
  This package contains the binary for the csv export application.
+
+Package: tracy-import-chrome
+Architecture: any
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Import chrome traces to tracy format (import-chrome application)
+ Tracy is a real time, nanosecond resolution, remote telemetry,
+ hybrid frame and sampling profiler for games and other applications
+ .
+ This package contains a CLI tool to import chrome tracing data into
+ tracy.
+
+Package: tracy-import-fuchsia
+Architecture: any
+Depends: libtracyclient0.11.0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Import fuchsia traces to tracy format (import-fuchsia application)
+ Tracy is a real time, nanosecond resolution, remote telemetry,
+ hybrid frame and sampling profiler for games and other applications
+ .
+ This package contains a CLI tool to import fuchsia tracing data into
+ tracy.
 
 Package: tracy-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 
 %:
 	dh $@
@@ -18,13 +22,24 @@
 	dh_auto_build
 
 tracy-capture:
-	$(MAKE) -C ./capture/build/unix all
+	cmake -B ./capture/build -S capture -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./capture/build --config Release --parallel
 
 tracy-profiler:
-	$(MAKE) -C ./profiler/build/unix all
+	cmake -B ./profiler/build -S profiler -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./profiler/build --config Release --parallel
 
 tracy-csvexport:
-	$(MAKE) -C ./csvexport/build/unix all
+	cmake -B ./csvexport/build -S csvexport -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./csvexport/build --config Release --parallel
+
+tracy-import-chrome:
+	cmake -B ./import-chrome/build -S import-chrome -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./import-chrome/build --config Release --parallel
+
+tracy-import-fuchsia:
+	cmake -B ./import-fuchsia/build -S import-fuchsia -DCMAKE_BUILD_TYPE=Release
+	cmake --build ./import-fuchsia/build --config Release --parallel
 
 tracy-docs:
 	cd manual && pdflatex tracy.tex \
@@ -34,20 +49,27 @@
 	  && pdflatex techdoc.tex \
 	  && pdflatex techdoc.tex
 
-override_dh_auto_build: tracy-client tracy-capture tracy-csvexport tracy-profiler tracy-docs
+override_dh_auto_build: tracy-client tracy-capture tracy-csvexport tracy-profiler \
+	tracy-import-chrome tracy-import-fuchsia tracy-docs
 
 override_dh_auto_clean:
 	dh_auto_clean
 	
 	# Clean capture utility
-	find . -type d -path './capture/build/unix' -exec make -C '{}' clean ';'
+	rm -rf ./capture/build/*
 	
 	# Clean profiler
-	find . -type d -path './profiler/build/unix' -exec make -C '{}' clean ';'
+	rm -rf ./profiler/build/*
 	
 	# Clean csvexport
-	find . -type d -path './csvexport/build/unix' -exec make -C '{}' clean ';'
+	rm -rf ./csvexport/build/*
 	
+	# Clean import-chrome
+	rm -rf ./import-chrome/build
+	
+	# Clean import-fuchsia
+	rm -rf ./import-fuchsia/build
+
 	# Clear files left over from building documentation
 	cd manual && \
 		rm -f tracy.out tracy.log tracy.blg tracy.aux tracy.bbl tracy.toc tracy.pdf && \
@@ -60,9 +82,11 @@
 	sed -i -e 's/^#include "\.\.\/common/#include "\.\/common/g' debian/tmp/usr/include/tracy/*.h*
 	
 	mkdir ./debian/tmp/usr/bin
-	find . -type d -path './capture/build/unix' -exec cp '{}/capture-release' ./debian/tmp/usr/bin/tracy-capture ';'
-	find . -type d -path './profiler/build/unix' -exec cp '{}/Tracy-release' ./debian/tmp/usr/bin/tracy-profiler ';'
-	find . -type d -path './csvexport/build/unix' -exec cp '{}/csvexport-release' ./debian/tmp/usr/bin/tracy-csvexport ';'
+	find . -type d -path './capture/build' -exec cp '{}/tracy-capture' ./debian/tmp/usr/bin/tracy-capture ';'
+	find . -type d -path './profiler/build' -exec cp '{}/tracy-profiler' ./debian/tmp/usr/bin/tracy-profiler ';'
+	find . -type d -path './csvexport/build' -exec cp '{}/tracy-csvexport' ./debian/tmp/usr/bin/tracy-csvexport ';'
+	find . -type d -path './import-chrome/build' -exec cp '{}/tracy-import-chrome' ./debian/tmp/usr/bin/tracy-import-chrome ';'
+	find . -type d -path './import-fuchsia/build' -exec cp '{}/tracy-import-fuchsia' ./debian/tmp/usr/bin/tracy-import-fuchsia ';'
 		
 	mkdir debian/tmp/usr/share/doc/
 	install -m 644 manual/tracy.pdf debian/tmp/usr/share/doc/
@@ -88,3 +112,17 @@
 		--variable=section:1 \
 		--from rst \
 		--to man > debian/tmp/usr/share/doc/tracy-csvexport/tracy-csvexport.1
+	
+	mkdir debian/tmp/usr/share/doc/tracy-import-chrome
+	pandoc debian/tracy-import-chrome.1.rst --standalone \
+		--variable=header:"tracy-import-chrome User Manual" \
+		--variable=section:1 \
+		--from rst \
+		--to man > debian/tmp/usr/share/doc/tracy-import-chrome/tracy-import-chrome.1
+	
+	mkdir debian/tmp/usr/share/doc/tracy-import-fuchsia
+	pandoc debian/tracy-import-fuchsia.1.rst --standalone \
+		--variable=header:"tracy-import-fuchsia User Manual" \
+		--variable=section:1 \
+		--from rst \
+		--to man > debian/tmp/usr/share/doc/tracy-import-fuchsia/tracy-import-fuchsia.1
